Name:           xfce4-modemlights-plugin
Version:        0.1.3.99
Release:        17%{?dist}
Summary:        Modemlights for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         xfce4-modemlights-plugin-0.1.3.99-ifupdown.patch
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-modemlights-plugin/c/master/ 
# as of 2010-12-18
Patch2:         xfce4-modemlights-plugin-0.1.3.99-update-translations.patch
Patch3:         xfce4-modemlights-plugin-0.1.3.99-modemlights.desktop.patch
Patch4:         xfce4-modemlights-plugin-0.1.3.99-format-security.patch

BuildRequires:  xfce4-panel-devel >= 4.4.0
BuildRequires:  libxfcegui4-devel >= 4.4.0
BuildRequires:  libxml2-devel
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.4.1, ppp

%description
A Xfce4 panel applet intended to simplify establishing a ppp connection via 
a modem.

%prep
%setup -q
%patch0 -p1 -b .ifupdown
%patch2 -p1 -b .update-translations
%patch3 -p1 -b .modemlights.desktop
%patch4 -p1 -b .formatsec


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/pixmaps/modem-*.png


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 19 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.1.3.99-16
- Fix FTBFS with -Werror=format-security (#1037394, #1107268)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Kevin Fenzi <kevin@scrye.com> - 0.1.3.99-11
- Rebuild for Xfce 4.10(pre2)

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 0.1.3.99-10
- Rebuild for Xfce 4.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1.3.99-8
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.3.99-6
- Rebuild for xfce4-panel 4.7
- Update translations from Xfce Transifex
- Fix icon in 'Add new panel item' dialog

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.99-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.3.99-3
- Autorebuild for GCC 4.3

* Wed Nov 21 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.3.99-2
- Require ppp

* Tue Nov 20 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.3.99-1
- Update to 0.1.4 RC
- Update license tag

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-7
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-6
- Rebuild for Fedora Extras 5.

* Sat Jan 28 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-5
- Add libXt-devel BuildReqs.
- Drop libX11-devel.

* Fri Dec 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-4
- Add libX11-devel BuildReqs for modular X.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-3
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-2
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-1.fc4.cw
- Initial Fedora Extras version.
- Update to 0.1.1
- Add libxml2 BuildReqs.

* Sat Jul 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1.fc4.cw
- Initial RPM release.
